package com.ruoyi.ss.ad.mapper;

import com.ruoyi.ss.ad.domain.Ad;
import com.ruoyi.ss.ad.domain.AdQuery;
import com.ruoyi.ss.ad.domain.AdVO;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 广告Mapper接口
 *
 * @author ruoyi
 * @date 2024-05-11
 */
public interface AdMapper
{
    /**
     * 查询广告
     *
     * @param adId 广告主键
     * @return 广告
     */
    public AdVO selectAdByAdId(Long adId);

    /**
     * 查询广告列表
     *
     * @param ad 广告
     * @return 广告集合
     */
    public List<AdVO> selectAdList(AdQuery ad);

    /**
     * 新增广告
     *
     * @param ad 广告
     * @return 结果
     */
    public int insertAd(Ad ad);

    /**
     * 修改广告
     *
     * @param ad 广告
     * @return 结果
     */
    public int updateAd(Ad ad);

    /**
     * 删除广告
     *
     * @param adId 广告主键
     * @return 结果
     */
    public int deleteAdByAdId(Long adId);

    /**
     * 批量删除广告
     *
     * @param adIds 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteAdByAdIds(Long[] adIds);

    /**
     * 逻辑删除
     * @param ids
     * @return
     */
    int logicDel(@Param("ids") List<Long> ids);

    /**
     * 查询一个
     * @param query
     * @return
     */
    AdVO selectOne(AdQuery query);
}
